ReferenceApps
Update app code file
Replaces the contents of an existing app code file with new code.
AuthorizationBearer <token>
Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.
In: header
X-Nimbu-Site<token>
Identifier of the site context when authenticating with a personal access token.
In: header
Path Parameters
app_id*string
Application key
filename*string
Code file name
Header Parameters
X-Nimbu-Site*string
Site identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
code*string
Response Body
application/json
curl -X PUT "https://example.com/apps/string/code/string" \ -H "X-Nimbu-Site: string" \ -H "Content-Type: application/json" \ -d '{ "code": "string" }'{
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"url": "http://example.com",
"code": "string"
}